Subject: bug#12045: 24.1.50; semantic :: Debugger entered--Lisp error: (wrong-type-argument syntax-table-p nil)

From: Stefan Monnier <[email-masked]>
Date: Thu, 11 Oct 2012 20:08:07 -0400

> Regarding interactive commands, especially those with a pre-defined
> keybinding, I'm not entirely sure what would be the best fix. The
> easiest way would be if keymaps could be activated dependend on a
> buffer-local variable, just as I can do that via the :visible attribute
> for menu items.

Minor mode keymaps work exactly this way (the minor-mode variable
enables/disables the corresponding keymap).  But usually it's not
necessary to disable a binding just because it's currently unusable.
Just like most menu items use :enable rather than :visible, since that
lets the user know that there is such a feature, even though it
currently can't be used.

        Stefan